"use strict";
var core_1 = require("@angular/core");
var file_system_1 = require("file-system");
var image_1 = require("ui/image");
var image_to_gif_1 = require("./image-to-gif");
var GifDirective = (function () {
    function GifDirective(el) {
        this.el = el;
    }
    GifDirective.prototype.onLoaded = function () {
        var nativeElement = this.el.nativeElement;
        if (!(nativeElement instanceof image_1.Image)) {
            throw new Error('[tnsGif] must be applied to an Image');
        }
        var image = nativeElement;
        if (!image.src) {
            return;
        }
        var gifPath = this.absolutePathOf(image);
        if ((/\.(gif)$/i).test(gifPath)) {
            image_to_gif_1.toGif(image, gifPath);
        }
    };
    GifDirective.prototype.absolutePathOf = function (image) {
        return file_system_1.path.join(file_system_1.knownFolders.currentApp().path, image.src.replace('~/', ''));
    };
    return GifDirective;
}());
__decorate([
    core_1.HostListener('loaded'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], GifDirective.prototype, "onLoaded", null);
GifDirective = __decorate([
    core_1.Directive({
        selector: '[tnsGif]'
    }),
    __metadata("design:paramtypes", [core_1.ElementRef])
], GifDirective);
exports.GifDirective = GifDirective;
